This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: tkinter, radiobutton, indicatoron=0 has no effect.
Type: behavior Stage: resolved
Components: Tkinter Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: Inyoka, gpolo, serhiy.storchaka
Priority: normal Keywords:

Created on 2016-11-17 04:14 by Inyoka, last changed 2022-04-11 14:58 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
u1mdKuC.png Inyoka, 2016-11-17 04:14
Messages (4)
msg281022 - (view) Author: Simon Holland (Inyoka) Date: 2016-11-17 04:14
tkinters radiobutton's have an option 'indicatoron=0'  which should display Radio Buttons as actual labelled buttons.  

button = tk.Radiobutton(self, text=option, variable = var, value = answer, indicatoron=0)

Screenshots of expected and actual results ... http://imgur.com/a/2fI02

taken from ... http://stackoverflow.com/questions/34459221/tkinter-radiobutton-indicatoron-value-doesnt-effect-anything

Kkinter 8.5 descrbes the functionality as so : 
Normally a checkbutton displays as its indicator a box that shows whether the checkbutton is set or not. You can get this behavior by setting indic- atoron=1. However, if you set indicatoron=0, the indicator disappears, and the entire widget becomes a push-push button that looks raised when it is cleared and sunken when it is set. You may want to increase the bor- derwidth value to make it easier to see the state of such a control.
msg281028 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-17 08:29
Works to me on Linux (identical results with Tkinter and Tk). In any case if there is some bug on your platform, this is not Tkinter bug, but Tk bug. Tkinter doesn't handle this option specially, it just pass it to Tk. File a bug on Tk bugtracker: http://core.tcl.tk/tk/ticket .
msg281033 - (view) Author: Simon Holland (Inyoka) Date: 2016-11-17 11:21
Thank you

On 17 November 2016 at 15:29, Serhiy Storchaka <report@bugs.python.org>
wrote:

>
> Serhiy Storchaka added the comment:
>
> Works to me on Linux (identical results with Tkinter and Tk). In any case
> if there is some bug on your platform, this is not Tkinter bug, but Tk bug.
> Tkinter doesn't handle this option specially, it just pass it to Tk. File a
> bug on Tk bugtracker: http://core.tcl.tk/tk/ticket .
>
> ----------
> resolution:  -> third party
> stage:  -> resolved
> status: open -> closed
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue28723>
> _______________________________________
>

-- 

Simon Holland BA Hons
Medan, Indonesia
--------------------
Mobile : +62 81 26055297
Fax : +62 81 6613280

 [image: Twitter] <http://twitter.com/SimonMarkHollan> [image: LinkedIn]
<http://id.linkedin.com/in/simonmarkholland> [image: YouTube]
<http://www.youtube.com/simonmarkholland> [image: Google Talk]
<simonmarkholland@gmail.com>
msg281073 - (view) Author: Simon Holland (Inyoka) Date: 2016-11-18 02:32
FYI, it seems that the Tk team are unable to use cocoa for this
functionality so indicatoron has not worked on OSX for Radiobuttons or
Checkbuttons for over 4 years.

On 17 November 2016 at 18:21, Simon Holland <report@bugs.python.org> wrote:

>
> Simon Holland added the comment:
>
> Thank you
>
> On 17 November 2016 at 15:29, Serhiy Storchaka <report@bugs.python.org>
> wrote:
>
> >
> > Serhiy Storchaka added the comment:
> >
> > Works to me on Linux (identical results with Tkinter and Tk). In any case
> > if there is some bug on your platform, this is not Tkinter bug, but Tk
> bug.
> > Tkinter doesn't handle this option specially, it just pass it to Tk.
> File a
> > bug on Tk bugtracker: http://core.tcl.tk/tk/ticket .
> >
> > ----------
> > resolution:  -> third party
> > stage:  -> resolved
> > status: open -> closed
> >
> > _______________________________________
> > Python tracker <report@bugs.python.org>
> > <http://bugs.python.org/issue28723>
> > _______________________________________
> >
>
> --
>
> Simon Holland BA Hons
> Medan, Indonesia
> --------------------
> Mobile : +62 81 26055297
> Fax : +62 81 6613280
>
>  [image: Twitter] <http://twitter.com/SimonMarkHollan> [image: LinkedIn]
> <http://id.linkedin.com/in/simonmarkholland> [image: YouTube]
> <http://www.youtube.com/simonmarkholland> [image: Google Talk]
> <simonmarkholland@gmail.com>
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue28723>
> _______________________________________
>

-- 

Simon Holland BA Hons
Medan, Indonesia
--------------------
Mobile : +62 81 26055297
Fax : +62 81 6613280

 [image: Twitter] <http://twitter.com/SimonMarkHollan> [image: LinkedIn]
<http://id.linkedin.com/in/simonmarkholland> [image: YouTube]
<http://www.youtube.com/simonmarkholland> [image: Google Talk]
<simonmarkholland@gmail.com>
History
Date User Action Args
2022-04-11 14:58:39adminsetgithub: 72909
2016-11-18 02:32:45Inyokasetmessages: + msg281073
2016-11-17 11:21:17Inyokasetmessages: + msg281033
2016-11-17 08:29:40serhiy.storchakasetstatus: open -> closed
resolution: third party
messages: + msg281028

stage: resolved
2016-11-17 07:41:39Inyokasetnosy: + gpolo, serhiy.storchaka
2016-11-17 04:14:18Inyokacreate